Bug 981900 - Prune unnecessary content from tarball, compress with xz
Prune unnecessary content from tarball, compress with xz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flamerobin (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 16:23 EDT by Ville Skyttä
Modified: 2013-12-07 12:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 09:21:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-06 16:23:13 EDT
There are multiple issues with flamerobin's SCM tarball:

1) There are no instructions for recreating it in the specfile or a script to do it: https://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control

2) It includes the .git dir which makes it much larger than needed

3) It's compressed with gzip, xz would be more efficient

Fixing all these would save about 33 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336
Comment 1 Fedora End Of Life 2013-09-16 10:24:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Ville Skyttä 2013-12-07 12:27:29 EST
It's still not compressed with xz but that's no longer a big issue as it'd only save ~400kB now.

Note You need to log in before you can comment on or make changes to this bug.